package org.xbib.datastructures.immutable;

final class RegularImmutableMapValues<K, V> extends ImmutableList<V> {
    private final RegularImmutableMap<K, V> map;

    RegularImmutableMapValues(RegularImmutableMap<K, V> map) {
        this.map = map;
    }

    @Override
    public V get(int index) {
        return map.entries[index].getValue();
    }

    @Override
    public int size() {
        return map.size();
    }

    @Override
    boolean isPartialView() {
        return true;
    }
}
